/* GLOBAL ELEMENT CHANGES */
* {
 font-family: 'Courier New', Courier, monospace;
}

body {
    margin: 0;
    background-color: peachpuff;
    display: grid;
}

nav {
    top: 0;
    background-color: brown;
    width: 100%;
}

nav > h1 {
    color: peachpuff;
}

textarea {
    text-decoration: none;
    resize: none;
    width: 100%;
}

textarea:focus, input:focus{
    outline: none;
}

/* ID CHANGES */
#content {
    background-color: whitesmoke;
    display: grid;
    margin-top: 5%;
    width: 80%;
    justify-self: center;
    grid-template-columns: 1fr 1fr;
    padding: 20px;
    border-radius: 5px;
    height: 280px;
}

#options {
    display: grid;
    margin-top: 10px;
}

#options > div {
    margin-top: 5px;
    margin-bottom: 5px;
}

#output-div {
    display: flex;
    position: relative;
    align-content: center;
}

#copy-btn {
    width: 30px;
    height: 30px;
    position: absolute;
    bottom: 4px;
    right: 4px;
    background-image: url("./clipboard.png")
}

#copy-confirm {
    font-weight: bold;
    justify-self: center;
    opacity: 0;
}

/* CLASS CHANGES */
.two-split {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.tooltip {
    border-bottom: 1px dotted black;
}

.fade {
    animation: fade 2s ease-in;
}

/* CSS ANIMATIONS */
@keyframes fade {
    from {opacity: 1;}
    to {opacity: 0;}
}
